﻿public partial class EPLMenue
{

    [Start]
    public void Script()
    {
        ActionCallingContext acc = new ActionCallingContext();
        //Script Menue Laden
        acc.AddParameter("ScriptFile", @"$(MD_SCRIPTS)\KundenLOGO.cs");
        new CommandLineInterpreter().Execute("RegisterScript", acc);

        ActionCallingContext acc1 = new ActionCallingContext();
        //Script GetProjectProperty Laden
        acc1.AddParameter("ScriptFile", @"$(MD_SCRIPTS)\GetProjectProperty.cs");
        new CommandLineInterpreter().Execute("RegisterScript", acc1);


        // Create Toolbar
        string toolbarName = "KundenLOGO_Toolbar";
        Eplan.EplApi.Gui.Toolbar toolbar = new Eplan.EplApi.Gui.Toolbar();
        toolbar.CreateCustomToolbar(toolbarName, Eplan.EplApi.Gui.Toolbar.ToolBarDockPos.eToolbarFloat, 0, 0, true);

        // Add buttons
        toolbar.AddButton(toolbarName, 0, "KundenLOGO", @"$(MD_IMG)\ToolBar\KundenLOGO.jpg", "Menue zum ändern der Kunden Logos");
        toolbar.AddButton(toolbarName, 1, 0); // Separator

        return;
    }

}